petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMDAVecRestoreArrayWrite

Restores a multiple dimension array obtained with DMDAVecGetArrayWrite()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAVecRestoreArrayWrite(DM da,Vec vec,void *array)

Logically collective on Vec

### Input Parameter

| da | - the distributed array
| vec | - the vector, either a vector the same size as one obtained with DMCreateGlobalVector() or DMCreateLocalVector()
| array | - the array, non-NULL pointer is zeroed

### Fortran Notes

From Fortran use DMDAVecRestoreArayF90()

### See Also

DMDAGetGhostCorners(), DMDAGetCorners(), VecGetArray(), VecRestoreArray(), DMDAVecGetArrayWrite(),
DMDAVecGetArray(), DMDAVecRestoreArray(), DMDAVecGetArrayRead(), DMDAVecRestoreArrayRead()

### Level

intermediate

### Location

src/dm/impls/da/dagetarray.c

### Examples

src/snes/examples/tutorials/ex19.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages